: Class Input

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.HTML
Class Input

    java.lang.Object
      |
      +--com.mortbay.HTML.Element
            |
            +--com.mortbay.HTML.Tag
                  |
                  +--com.mortbay.HTML.Input

public class Input
extends Tag

HTML Form Input Tag

Version:
  $Id: Input.java,v 2.2 1999/09/22 15:08:41 gregw Exp $
Author:
  Greg Wilkins
See Also:
  `Tag, class Form`

Field Summary
`static java.lang.String` | `Checkbox`
`static java.lang.String` | `File`
`static java.lang.String` | `Hidden`
`static java.lang.String` | `Image`
`static java.lang.String` | `Password`
`static java.lang.String` | `Radio`
`static java.lang.String` | `Reset`
`static java.lang.String` | `Submit`
`static java.lang.String` | `Text` Input types

Fields inherited from class com.mortbay.HTML.Tag
`tag`

Fields inherited from class com.mortbay.HTML.Element
`ALIGN, attributeMap, BGCOLOR, BOTTOM, CENTER, CLASS, COLOR, HEIGHT, ID, LEFT, MIDDLE, noAttributes, RIGHT, SIZE, STYLE, TOP, VALIGN, WIDTH`

Constructor Summary
`Input(Image image, java.lang.String name)`
`Input(Image image, java.lang.String name, java.lang.String value)`
`Input(java.lang.String type, java.lang.String name)`
`Input(java.lang.String type, java.lang.String name, java.lang.String value)`

Method Summary
`Input` | `check()`
`Input` | `fixed()`
`Input` | `setMaxSize(int size)`
`Input` | `setSize(int size)`

Methods inherited from class com.mortbay.HTML.Tag
`write`

Methods inherited from class com.mortbay.HTML.Element
`attribute, attribute, attribute, attributes, attributes, bgColor, bottom, center, color, cssClass, cssID, height, height, height, left, middle, right, setAttributesFrom, size, size, size, style, top, toString, width, width, width, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### Text

    public static final java.lang.String Text

  Input types

### Password

    public static final java.lang.String Password

### Checkbox

    public static final java.lang.String Checkbox

### Radio

    public static final java.lang.String Radio

### Submit

    public static final java.lang.String Submit

### Reset

    public static final java.lang.String Reset

### Hidden

    public static final java.lang.String Hidden

### File

    public static final java.lang.String File

### Image

    public static final java.lang.String Image

Constructor Detail

### Input

    public Input(java.lang.String type,
                 java.lang.String name)

### Input

    public Input(java.lang.String type,
                 java.lang.String name,
                 java.lang.String value)

### Input

    public Input(Image image,
                 java.lang.String name,
                 java.lang.String value)

### Input

    public Input(Image image,
                 java.lang.String name)

Method Detail

### check

    public Input check()

### setSize

    public Input setSize(int size)

### setMaxSize

    public Input setMaxSize(int size)

### fixed

    public Input fixed()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD